Bug 2009019 - [4.8.z] legacy RHCOS boot image metadata is not in sync with stream metadata
Summary: [4.8.z] legacy RHCOS boot image metadata is not in sync with stream metadata
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.z
Assignee: Micah Abbott
QA Contact: Pedro Amoedo
URL:
Whiteboard:
Depends On: 2009000 2009018
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-29 17:31 UTC by Micah Abbott
Modified: 2021-10-19 20:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2009018
Environment:
Last Closed: 2021-10-19 20:35:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5255 0 None Merged Bug 2009019: update legacy RHCOS boot image metadata 2021-09-30 14:18:11 UTC
Red Hat Product Errata RHBA-2021:3821 0 None None None 2021-10-19 20:35:46 UTC

Description Micah Abbott 2021-09-29 17:31:13 UTC
+++ This bug was initially created as a clone of Bug #2009018 +++

This BZ is created to facilitate the fix in 4.8.z; this problem does not actually affect 4.9.z

+++ This bug was initially created as a clone of Bug #2009000 +++

When the most recent RHCOS boot image bump for 4.8 landed, only the stream metadata was changed. This was done since `openshift-installer` itself was updated to use only the stream metadata.

https://github.com/openshift/installer/pull/5227

However, it appears that UPI jobs still rely on the "legacy" metadata:

https://github.com/openshift/installer/blob/release-4.8/images/installer/Dockerfile.upi.ci#L17


While the drift in the different metadata sources shouldn't break the UPI jobs, it creates a different workflow as the IPI jobs will start from a different set of RHCOS artifacts than the UPI jobs.

--- Additional comment from Micah Abbott on 2021-09-29 16:34:34 UTC ---

@gpei noticed this discrepancy first - https://github.com/openshift/installer/pull/5227#issuecomment-930010185

--- Additional comment from Micah Abbott on 2021-09-29 17:25:46 UTC ---

This issue only affects 4.8 and will be used as the source for the necessary backport BZs.

Closing as CURRENTRELEASE

Comment 4 Pedro Amoedo 2021-10-10 13:44:28 UTC
Hi Micah, my apologies but I'm temporarily reverting back this BZ to "ON_QA" status because I've detected a possible issue that we need to discard first:

Deploying OCP 4.8.0-0.nightly-2021-10-09-130601 "Baremetal UPI dual-stack" via iPXE UEFI using "rhcos-48.84.202109241901-0-live-{kernel,rootfs}" images, the manual IPv6 configuration passed via kernel arguments is not having effect and all nodes are falling back to internal IPv6 ranges instead (fe80::3443:22c:4e3a:), which causes bootstrap failure, this was not happening with previous "rhcos-48.84.202106301921-0".

Can you please corroborate/report this?

BR

Comment 6 Pedro Amoedo 2021-10-11 13:26:54 UTC
Hi again Micah, I've raised BZ#2012855 to investigate and/or corroborate the IPv4v6 behavior that I'm seeing on "rhcos-48.84.202109241901-0-live-{kernel,rootfs}" images, but regarding this BZ it makes no sense to block it because it was raised to correct the image inconsistency, which was already fixed, therefore I'm moving it to VERIFIED again and we'll track the other issue in the aforementioned BZ, sorry for the inconvenience.

Best Regards.

Comment 9 errata-xmlrpc 2021-10-19 20:35:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.15 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3821


Note You need to log in before you can comment on or make changes to this bug.